Home > Support > Knowledge Base
Knowledge Base
 
Reset Search
Search
 

 

Knowledge

hotfix or update refuses to install on Digi Embedded Linux ESP

« Go Back

Information

 
Problem Resolution

Digi Embedded Linux has to be installed as non-root user. Only this user should launch the ESP for development or update. The Workspace directory should be outside of the installation directory /usr/local/DigiEL-*/.

If an update is failing, try the following:
close ESP
# id
willy
# sudo su
password
# chown R willy /usr/local/DigiEL-*/
# exit
# id
willy
# mv /usr/local/DigiEL-5.2/workspace ~

Where "willy" is an example non-root user id.
Re-open ESP change to new workspace dir in homedir, try to install patches.

If this is still failing, uninstall the ESP and reinstall it.
Make sure you have a HTTPS connection to https://pkm-us.digi.com/ through your company firewall. You can check this with a web browser. Without this connection you will fail to download any updates from Digi.

You should only use the provided Digi ESP PackageManager to get updates, updating Eclipse ESP can cause various problems.

Note: Digi Embedded Linux installation is considered single user one workstation, no network installation supported

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255